serviceMonitor:
  multipleTarget:
    enabled: true
    targets:
      - endpoint: umety-web-app-stg-mariadb-svc.web-app-stg.svc
        name: web-app-stg
        port: 3306
      - endpoint: umety-wordpress-mariadb-svc.wordpress.svc
        name: wordpress
        port: 3306
    sharedSecret:
      enabled: false
      name: "mysql-exporter-cred"

resources:
   limits:
    cpu: 100m
    memory: 128Mi
   requests:
    cpu: 100m
    memory: 128Mi


annotations:
  prometheus.io/scrape: "true"
  prometheus.io/path: "/metrics"
  prometheus.io/port: "9104"


collectors:
  auto_increment.columns: false
  binlog_size: false
  engine_innodb_status: true
  engine_tokudb_status: true
  global_status: true
  info_schema.clientstats: true
  info_schema.innodb_metrics: true
  info_schema.processlist: true
  info_schema.query_response_time: false
  info_schema.tables: true
  info_schema.tablestats: true
  info_schema.userstats: false
  perf_schema.eventswaits: false
  perf_schema.file_events: false

# mysql connection params which build the my.cnf config
mysql:
  db: ""
  host: ""
  additionalConfig:
  port: ""
  protocol: ""
  user: ""
  # secret with full config my.cnf
  existingConfigSecret:
    name: "mysql-exporter-config"
    key: "my.cnf"
  # secret only containing the password
  existingPasswordSecret:
    name: "mysql-exporter-cred"
    key: "MYSQL_EXPORTER_PASS"

